| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBaseHalo Struct Reference
[Lighting]

This is the basic interface for all types of halos. More...

`#include <iengine/halo.h>`

Inheritance diagram for iBaseHalo:

[legend]
List of all members.

## Public Member Functions
virtual float | GetIntensity ()=0
| Get intensity.
virtual csHaloType | GetType ()=0
| Get halo type.
virtual void | SetIntensity (float i)=0
| Set intensity.

## Detailed Description

This is the basic interface for all types of halos.

Definition at line 50 of file halo.h.

## Member Function Documentation

virtual float iBaseHalo::GetIntensity | ( |  | ) | `[pure virtual]`

Get intensity.

virtual csHaloType iBaseHalo::GetType | ( |  | ) | `[pure virtual]`

Get halo type.

virtual void iBaseHalo::SetIntensity | ( | float | i | ) | `[pure virtual]`

Set intensity.

The documentation for this struct was generated from the following file:

- iengine/halo.h